package model

// ManageMaterial 维修器材数据模型
type ManageMaterial struct {
	Model
	ModelTenant
	SupplierID uint64 `gorm:"column:supplier_id;type:int;default:0;comment:供应商ID" json:""`
	Code       string `gorm:"column:code;type:varchar(35);default:null;comment:编号" json:"code"`
	Title      string `gorm:"column:title;type:varchar(100);default:null;comment:名称" json:"title"`
	Image
	Stock       int                `gorm:"column:stock;type:int(8);default:0;comment:库存数" json:"stock"`
	FrozenStock int                `gorm:"column:frozen_stock;type:int(8);default:0;comment:冻结的库存数" json:"-"`
	Unit        ManageMaterialUnit `gorm:"column:unit;type:tinyint(1);default:0;comment:单位" json:"unit"`
	Remark      string             `gorm:"column:remark;type:varchar(255);default:null;comment:备注" json:"remark"`
	ModelDeleted
	ModelAt
}

// ManageMaterialUnit 单位类型
type ManageMaterialUnit int

const (
	// ManageMaterialUnitForIndividual 个
	ManageMaterialUnitForIndividual ManageMaterialUnit = iota + 1
)

func (m *ManageMaterial) TableName() string {
	return "manage_material"
}

func NewManageMaterial() *ManageMaterial {
	return &ManageMaterial{}
}
